Bug 1607284 (CVE-2018-4183) - CVE-2018-4183 cups: Sandbox bypass due to profile misconfiguration
Summary: CVE-2018-4183 cups: Sandbox bypass due to profile misconfiguration
Status: CLOSED NOTABUG
Alias: CVE-2018-4183
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180509,repo...
Keywords: Security
Depends On: 1607295 1607293
Blocks: 1607292
TreeView+ depends on / blocked
 
Reported: 2018-07-23 08:09 UTC by Andrej Nemec
Modified: 2018-08-28 14:09 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A Sandbox bypass has been discovered in cups on macOS due to profile misconfiguration. An attacker that has obtained sandboxed root access can use this flow to escape the sandbox.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-07-25 09:21:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrej Nemec 2018-07-23 08:09:53 UTC
The sandbox profile dynamically generated by cupsdCreateProfile() unintentionally allows write access to /etc/cups.  This can be used by an attacker that has obtained sandboxed root access to alter /etc/cups/cups-files.conf, leading to unsandboxed root code execution.

References:

https://blog.gdssecurity.com/labs/2018/7/11/cups-local-privilege-escalation-and-sandbox-escapes.html

Upstream patch:

https://github.com/apple/cups/commit/d47f6aec436e0e9df6554436e391471097686ecc

Comment 1 Andrej Nemec 2018-07-23 08:31:20 UTC
Created cups tracking bugs for this issue:

Affects: fedora-all [bug 1607293]

Comment 3 Riccardo Schirone 2018-07-25 09:21:18 UTC
Fedora and RHEL are not affected by this flaw since Sandbox feature is not enabled on Linux.

Comment 4 Riccardo Schirone 2018-08-28 13:00:29 UTC
Statement:

This issue did not affect the versions of cups as shipped with Red Hat Enterprise Linux as cups on Linux does not support the Sandbox feature.


Note You need to log in before you can comment on or make changes to this bug.